Package org.opensaml.profile.testing

# Class ActionTestingSupport

java.lang.Object
org.opensaml.profile.testing.ActionTestingSupport

public class ActionTestingSupport extends Object
Helper methods for creating/testing objects within profile action tests.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INBOUND_MSG_ID`
ID of the inbound message.
`static final String`
`INBOUND_MSG_ISSUER`
Issuer of the inbound message.
`static final String`
`OUTBOUND_MSG_ID`
ID of the outbound message.
`static final String`
`OUTBOUND_MSG_ISSUER`
Issuer of the outbound message.

## Constructor Summary

Constructors
Constructor
Description
`ActionTestingSupport()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`assertEvent(ProfileRequestContext profileRequestContext, Object event)`
Checks that the request context contains an EventContext, and that the event content is as given.
`static void`
`assertProceedEvent(ProfileRequestContext profileRequestContext)`
Checks that the given request context does not contain an EventContext (thus signaling a "proceed" event).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INBOUND_MSG_ID

public static final String INBOUND_MSG_ID
ID of the inbound message.

See Also:
  - Constant Field Values

### INBOUND_MSG_ISSUER

public static final String INBOUND_MSG_ISSUER
Issuer of the inbound message.

See Also:
  - Constant Field Values

### OUTBOUND_MSG_ID

public static final String OUTBOUND_MSG_ID
ID of the outbound message.

See Also:
  - Constant Field Values

### OUTBOUND_MSG_ISSUER

public static final String OUTBOUND_MSG_ISSUER
Issuer of the outbound message.

See Also:
  - Constant Field Values

## Constructor Details

### ActionTestingSupport

public ActionTestingSupport()

## Method Details

### assertEvent

public static void assertEvent(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull Object event)
Checks that the request context contains an EventContext, and that the event content is as given.

Parameters:
  `profileRequestContext` - the context to check
  `event` - event to check

### assertProceedEvent

public static void assertProceedEvent(@Nonnull ProfileRequestContext profileRequestContext)
Checks that the given request context does not contain an EventContext (thus signaling a "proceed" event).

Parameters:
  `profileRequestContext` - the context to check